# inspired from fedora spec file
# Copyright (c) 2014-2016 Shawn Iwinski <shawn.iwinski@gmail.com>
# License: MIT
# https://opensource.org/licenses/MIT

%define github_name     http-message
%define composer_name   http-message
%define composer_vendor psr

%define php_libdir %{_datadir}/php

%define __requires_exclude_from ^%{_datadir}/.*$

Name:          php-%{composer_vendor}-%{composer_name}
Version:       2.0
Release:       %mkrel 2
Summary:       Common interface for HTTP messages (PSR-7)
License:       MIT
Group:         Development/PHP
URL:           https://github.com/php-fig/http-message
Source0:       https://github.com/php-fig/http-message/archive/refs/tags/%{version}.tar.gz
# phpcompatinfo
Requires:      php >= 5.3.0
# autoloader
Requires:  php-composer(fedora/autoloader)
Provides:  php-composer(%{composer_vendor}/%{composer_name}) = %{version}
BuildArch: noarch

%description
This package holds all interfaces/classes/traits related to PSR-7 [1].

Note that this is not a HTTP message implementation of its own. It is merely an
interface that describes a HTTP message. See the specification for more details.

Autoloader: %{php_libdir}/Psr/Http/Message/autoload.php

[1] https://www.php-fig.org/psr/psr-7/


%prep
%setup -qn %{github_name}-%{version}

%build

%install
mkdir -p %{buildroot}%{php_libdir}/Psr/Http/Message
cp -rp src/* %{buildroot}%{php_libdir}/Psr/Http/Message/

cat > %{buildroot}%{php_libdir}/Psr/Http/Message/autoload.php <<'EOF'
<?php
/* Autoloader for %{name} and its dependencies */

require_once '%{php_libdir}/Fedora/Autoloader/autoload.php';

\Fedora\Autoloader\Autoload::addPsr4('Psr\\Http\\Message\\', __DIR__);
EOF

%files
%doc LICENSE *.md composer.json
%{php_libdir}/Psr


%changelog
* Sun Jun 29 2025 umeabot <umeabot> 2.0-2.mga10
+ Revision: 2228469
- Mageia 10 Mass Rebuild

* Wed Oct 02 2024 mokraemer <mokraemer> 2.0-1.mga10
+ Revision: 2102612
- new version 2.0.

* Mon Mar 21 2022 umeabot <umeabot> 1.0.1-5.mga9
+ Revision: 1810734
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 1.0.1-4.mga8
+ Revision: 1507385
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 1.0.1-3.mga7
+ Revision: 1287870
- Mageia 7 Mass Rebuild

* Thu Oct 05 2017 guillomovitch <guillomovitch> 1.0.1-2.mga7
+ Revision: 1169011
- switch to fedora autoloader

* Wed Oct 04 2017 guillomovitch <guillomovitch> 1.0.1-1.mga7
+ Revision: 1168736
- imported package php-psr-http-message

